package com.hw.ems.base.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 电阈值信息对象 base_dnb_threshold
 *
 * @author hw
 * @date 2023-04-20
 */
public class BaseDnbThreshold extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增标识 */
    private Long objid;

    /** 计量设备编号 */
    @Excel(name = "计量设备编号")
    private String monitorId;

    @Excel(name = "计量设备名称")
    private String monitorName;

    /** A相电流最大值 */
    @Excel(name = "A相电流最大值")
    private BigDecimal iAMax;

    /** A相电流最小值 */
    @Excel(name = "A相电流最小值")
    private BigDecimal iAMin;

    /** B相电流最大值 */
    @Excel(name = "B相电流最大值")
    private BigDecimal iBMax;

    /** B相电流最小值 */
    @Excel(name = "B相电流最小值")
    private BigDecimal iBMin;

    /** C相电流最大值 */
    @Excel(name = "C相电流最大值")
    private BigDecimal iCMax;

    /** C相电流最小值 */
    @Excel(name = "C相电流最小值")
    private BigDecimal iCMin;

    /** A相电压最大值 */
    @Excel(name = "A相电压最大值")
    private BigDecimal vAMax;

    /** A相电压最小值 */
    @Excel(name = "A相电压最小值")
    private BigDecimal vAMin;

    /** B相电压最大值 */
    @Excel(name = "B相电压最大值")
    private BigDecimal vBMax;

    /** B相电压最小值 */
    @Excel(name = "B相电压最小值")
    private BigDecimal vBMin;

    /** C相电压最大值 */
    @Excel(name = "C相电压最大值")
    private BigDecimal vCMax;

    /** C相电压最小值 */
    @Excel(name = "C相电压最小值")
    private BigDecimal vCMin;

    /** 小时耗量 */
    @Excel(name = "小时耗量")
    private BigDecimal hourConsumption;

    /** 天耗量 */
    @Excel(name = "天耗量")
    private BigDecimal dayConsumption;

    /** 线损率(%) */
    @Excel(name = "线损率(%)")
    private BigDecimal lineLossRate;

    /** 阈值状态 */
    @Excel(name = "阈值状态")
    private Long thresholdStatus;

    /** 权限标识（部门） */
    @Excel(name = "权限标识", readConverterExp = "部=门")
    private Long deptId;

    /** 权限标识（用户） */
    @Excel(name = "权限标识", readConverterExp = "用=户")
    private Long userId;

    public BigDecimal getHourConsumption() {
        return hourConsumption;
    }

    public void setHourConsumption(BigDecimal hourConsumption) {
        this.hourConsumption = hourConsumption;
    }

    public BigDecimal getDayConsumption() {
        return dayConsumption;
    }

    public void setDayConsumption(BigDecimal dayConsumption) {
        this.dayConsumption = dayConsumption;
    }

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setMonitorId(String monitorId)
    {
        this.monitorId = monitorId;
    }

    public String getMonitorId()
    {
        return monitorId;
    }
    public void setiAMax(BigDecimal iAMax)
    {
        this.iAMax = iAMax;
    }

    public BigDecimal getiAMax()
    {
        return iAMax;
    }
    public void setiAMin(BigDecimal iAMin)
    {
        this.iAMin = iAMin;
    }

    public BigDecimal getiAMin()
    {
        return iAMin;
    }
    public void setiBMax(BigDecimal iBMax)
    {
        this.iBMax = iBMax;
    }

    public BigDecimal getiBMax()
    {
        return iBMax;
    }
    public void setiBMin(BigDecimal iBMin)
    {
        this.iBMin = iBMin;
    }

    public BigDecimal getiBMin()
    {
        return iBMin;
    }
    public void setiCMax(BigDecimal iCMax)
    {
        this.iCMax = iCMax;
    }

    public BigDecimal getiCMax()
    {
        return iCMax;
    }
    public void setiCMin(BigDecimal iCMin)
    {
        this.iCMin = iCMin;
    }

    public BigDecimal getiCMin()
    {
        return iCMin;
    }
    public void setvAMax(BigDecimal vAMax)
    {
        this.vAMax = vAMax;
    }

    public BigDecimal getvAMax()
    {
        return vAMax;
    }
    public void setvAMin(BigDecimal vAMin)
    {
        this.vAMin = vAMin;
    }

    public BigDecimal getvAMin()
    {
        return vAMin;
    }
    public void setvBMax(BigDecimal vBMax)
    {
        this.vBMax = vBMax;
    }

    public BigDecimal getvBMax()
    {
        return vBMax;
    }
    public void setvBMin(BigDecimal vBMin)
    {
        this.vBMin = vBMin;
    }

    public BigDecimal getvBMin()
    {
        return vBMin;
    }
    public void setvCMax(BigDecimal vCMax)
    {
        this.vCMax = vCMax;
    }

    public BigDecimal getvCMax()
    {
        return vCMax;
    }
    public void setvCMin(BigDecimal vCMin)
    {
        this.vCMin = vCMin;
    }

    public BigDecimal getvCMin()
    {
        return vCMin;
    }
    public void setLineLossRate(BigDecimal lineLossRate)
    {
        this.lineLossRate = lineLossRate;
    }

    public BigDecimal getLineLossRate()
    {
        return lineLossRate;
    }
    public void setThresholdStatus(Long thresholdStatus)
    {
        this.thresholdStatus = thresholdStatus;
    }

    public Long getThresholdStatus()
    {
        return thresholdStatus;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public String getMonitorName() {
        return monitorName;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("monitorId", getMonitorId())
            .append("iAMax", getiAMax())
            .append("iAMin", getiAMin())
            .append("iBMax", getiBMax())
            .append("iBMin", getiBMin())
            .append("iCMax", getiCMax())
            .append("iCMin", getiCMin())
            .append("vAMax", getvAMax())
            .append("vAMin", getvAMin())
            .append("vBMax", getvBMax())
            .append("vBMin", getvBMin())
            .append("vCMax", getvCMax())
            .append("vCMin", getvCMin())
            .append("lineLossRate", getLineLossRate())
            .append("thresholdStatus", getThresholdStatus())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
